global
    maxconn 100

defaults
    log global
    mode tcp
    retries 2
    timeout client 30m
    timeout connect 4s
    timeout server 30m
    timeout check 5s


resolvers consuldns
    nameserver dns1 consul-bootstrap:53
    accepted_payload_size 8192

listen stats
    mode http
    bind *:7000
    stats enable
    stats uri /

listen postgres
    bind *:5432
    option httpchk
    http-check expect status 200
    default-server inter 3s fall 3 rise 2 on-marked-down shutdown-sessions
    server pg1 pg1:5432 maxconn 100 check port 8008
    server pg2 pg2:5432 maxconn 100 check port 8008

frontend ropostgres
    bind *:5444
    default_backend ropostgres_bk

backend ropostgres_bk
    balance roundrobin
    mode tcp
    server-template postgres 2 replica.testcluster.service.consul:5432 check resolvers consuldns init-addr none
